## org.exist.storage.test
Class LowLevelText

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.storage.test.LowLevelText

All Implemented Interfaces:
  junit.framework.Test

public class LowLevelText
extends junit.framework.TestCase

Currently, tests for the `XQueryPool` with the `StringSource`. $Id: LowLevelText.java 3457 2006-05-07 14:46:21Z wolfgang_m $

Constructor Summary
`LowLevelText()`

Method Summary
`void` `bugtestBorrowCompiledXQuery2()`
`void` `bugtestBorrowCompiledXQuery3()`
`void` `bugtestBorrowCompiledXQueryNewStringSource2()` test with a new StringSource object having same content
`static void` `main(java.lang.String[] args)`
`void` `testBorrowCompiledXQuery1()` Test method for 'org.exist.storage.XQueryPool.borrowCompiledXQuery(DBBroker, Source)'
`void` `testBorrowCompiledXQueryNewStringSource()` test with a new StringSource object having same content

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LowLevelText

    public LowLevelText()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testBorrowCompiledXQuery1

    public void testBorrowCompiledXQuery1()

  Test method for 'org.exist.storage.XQueryPool.borrowCompiledXQuery(DBBroker, Source)'

### bugtestBorrowCompiledXQuery2

    public void bugtestBorrowCompiledXQuery2()

### bugtestBorrowCompiledXQuery3

    public void bugtestBorrowCompiledXQuery3()

### testBorrowCompiledXQueryNewStringSource

    public void testBorrowCompiledXQueryNewStringSource()

  test with a new StringSource object having same content

### bugtestBorrowCompiledXQueryNewStringSource2

    public void bugtestBorrowCompiledXQueryNewStringSource2()

  test with a new StringSource object having same content

Copyright (C) Wolfgang Meier. All rights reserved.